Bug 247600 - [new port] graphics/elementary-photos: photo viewer and organizer designed for elementary OS
Summary: [new port] graphics/elementary-photos: photo viewer and organizer designed fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-27 20:26 UTC by Miguel Gocobachi
Modified: 2020-06-29 09:30 UTC (History)
2 users (show)

See Also:


Attachments
elementary-photos (17.43 KB, patch)
2020-06-27 20:26 UTC, Miguel Gocobachi
no flags Details | Diff
updated the build deps (17.50 KB, patch)
2020-06-28 07:53 UTC, Miguel Gocobachi
no flags Details | Diff
portclippy, portfmt, portlint applied (17.47 KB, patch)
2020-06-28 08:28 UTC, Miguel Gocobachi
no flags Details | Diff
list of dependencies updated (17.75 KB, patch)
2020-06-29 03:05 UTC, Miguel Gocobachi
no flags Details | Diff
USES=gettext (750 bytes, patch)
2020-06-29 09:25 UTC, Li-Wen Hsu
miguel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Gocobachi 2020-06-27 20:26:53 UTC
Created attachment 215996 [details]
elementary-photos

new package, the Photos software was made for Elementary OS Linux now ported to FreeBSD world! more details at https://github.com/elementary/photos/
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-28 05:56:00 UTC
Configure failed in poudriere: https://gist.github.com/9535d3ae6635ff987ccb00fd0adbb5de

Maybe something missed in BUILD_DEPENDS?
Comment 2 Miguel Gocobachi 2020-06-28 07:53:50 UTC
Created attachment 216003 [details]
updated the build deps
Comment 3 Miguel Gocobachi 2020-06-28 07:55:05 UTC
(In reply to Li-Wen Hsu from comment #1)

I updated it. Also, would you be so kind to share the command used to test it with poudriere? Thanks!
Comment 4 Miguel Gocobachi 2020-06-28 08:28:22 UTC
Created attachment 216004 [details]
portclippy, portfmt, portlint applied
Comment 5 Li-Wen Hsu freebsd_committer 2020-06-28 10:49:30 UTC
Sorry it seems still some BUILD_DEPENDS missing: https://gist.github.com/bda88f28a7cb2925576316460141675c

Please check poudriere documents here:
https://github.com/freebsd/poudriere/wiki
https://www.freebsd.org/doc/handbook/ports-poudriere.html

And discuss on -ports list: https://lists.freebsd.org/mailman/listinfo/freebsd-ports

Thanks for working on porting this software!
Comment 6 Miguel Gocobachi 2020-06-29 03:05:10 UTC
Created attachment 216022 [details]
list of dependencies updated
Comment 7 commit-hook freebsd_committer 2020-06-29 06:32:35 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun 29 06:32:16 UTC 2020
New revision: 540755
URL: https://svnweb.freebsd.org/changeset/ports/540755

Log:
  Add graphics/elementary-photos

  photo viewer and organizer designed for elementary OS

  PR:		247600
  Submitted by:	Miguel Gocobachi <miguel@gocobachi.dev>

Changes:
  head/graphics/Makefile
  head/graphics/elementary-photos/
  head/graphics/elementary-photos/Makefile
  head/graphics/elementary-photos/distinfo
  head/graphics/elementary-photos/files/
  head/graphics/elementary-photos/files/patch-data_io.elementary.photos.desktop.in.in
  head/graphics/elementary-photos/files/patch-meson__options.txt
  head/graphics/elementary-photos/pkg-descr
  head/graphics/elementary-photos/pkg-plist
Comment 8 Li-Wen Hsu freebsd_committer 2020-06-29 09:25:20 UTC
Created attachment 216029 [details]
USES=gettext
Comment 9 Li-Wen Hsu freebsd_committer 2020-06-29 09:25:42 UTC
Optional NLS needs more tweaking for not build/install gettext stuff, currently disabling NLS will cause error in configure phase.

Please check the attached patch.